> ## Documentation Index
> Fetch the complete documentation index at: https://developer.energy-hub.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete PV inverter

> Deletes the PV inverter.



## OpenAPI

````yaml delete /v1.0.0/pv-inverters/{pvInverterId}
openapi: 3.0.1
info:
  description: A service used for battery and pv inverter devices
  title: home-power-service
  version: 1.0.0
servers:
  - description: Generated server url
    url: https://api.energy-hub.io
security: []
paths:
  /v1.0.0/pv-inverters/{pvInverterId}:
    delete:
      tags:
        - PV Inverter Controller
      summary: Delete PV inverter
      description: Deletes the PV inverter.
      operationId: deletePvInverter
      parameters:
        - schema:
            format: uuid
            type: string
          in: path
          name: pvInverterId
          description: PV inverter ID
          required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessMessageDto'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessageDto'
              examples:
                UNAUTHORIZED:
                  $ref: '#/components/examples/UNAUTHORIZED'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessageDto'
              examples:
                PV_INVERTER_NOT_FOUND:
                  $ref: '#/components/examples/PV_INVERTER_NOT_FOUND'
      security:
        - API_Key: []
components:
  schemas:
    SuccessMessageDto:
      type: object
      properties:
        success:
          type: boolean
    ErrorMessageDto:
      type: object
      required:
        - errorCode
        - id
        - message
      properties:
        errorCode:
          description: The error code
          type: string
          example: EXAMPLE_ERROR_CODE
        id:
          format: uuid
          description: The error identifier
          type: string
          example: 7958818d-64d2-4ede-b12b-4786dd2f348b
        message:
          description: The error message
          type: string
          example: Example error message
  examples:
    UNAUTHORIZED:
      value:
        errorCode: UNAUTHORIZED
        id: 57da008b-bd4d-442e-b8f8-584cb9058e29
        message: Unauthorized
    PV_INVERTER_NOT_FOUND:
      value:
        errorCode: PV_INVERTER_NOT_FOUND
        id: 57da008b-bd4d-442e-b8f8-584cb9058e29
        message: '[PV_INVERTER] Requested PV inverter not found'
  securitySchemes:
    API_Key:
      in: header
      name: X-API-KEY
      description: API key used for authorization and authentication.
      type: apiKey

````